:root {
    --body-bg-color: #3B004D;
    --body-bg-color-alpha5: rgba(23, 0, 30, 0.5);
    --purple: #EEC7FF;
    --green: #8BEA7F;
    --blue: #A1DDFF;
    --orange: #EBCFAC;
    --yellow: #F6D100;
    --no-bg: rgba(0, 0, 0, 0);
  }


html {
    background-color: var(--body-bg-color);
}

footer{
    width: 100%;
    position: fixed;
    left: 0;
    bottom: 0;
    background-color: var(--body-bg-color-alpha5);


}

main {
    margin: 10vh auto;
}

ul {
    margin: 0 auto;
    list-style: none;   
    padding-inline-start: 0;
    width: 326px;
    margin-block-start: 0;
    margin-block-end: 0;
}

a{
    text-decoration: none;
    text-align: center;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
   
} 


footer ul{
    margin-bottom: 0.9rem;
    text-align: center;
    padding: 0;
    display: flex;
    justify-content: space-around;
    flex-wrap: nowrap;


}

footer ul li{
    display: inline;
    text-align: center;
    margin: auto;
    display:inline-block;

}



.button {
    line-height: 24px;
    box-sizing: border-box;
    padding: 10px;
    width: 326px;
    height: 50px;
    text-transform: uppercase;
    background-color: var(--no-bg);
    font-weight: 600;
    margin: 1rem 0;
    transition: 0.5s;
    border: 2px solid;
    border-radius: 4px;
    display: block;
}

.button:hover {
    background-color: var(--body-bg-color-alpha5);
    font-size: 1.2em;
}

#follow-me .button {
    border-color: var(--purple);
    color: var(--purple);
}

#hire-me  .button{
    border-color: var(--blue);
    color: var(--blue);
}


#support-me .button {
    border-color: var(--green);
    color: var(--green);
}

#portifolio .button {
    border-color: var(--orange);    
    color: var(--orange);
}

#profile-picture img{
    width: 271px;
    height: 271px;
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);

}
.hexagon{
        margin: 20px auto; 
        width: 211px;
        height: 244px;
        background: var(--yellow);
        box-sizing: border-box;
        padding: 2px;
        clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
        transition: 0.5s;

}
.hexagon #profile-picture{
    display: flex;
    margin: auto; 
    width: 209px;
    height: 242px;
    background: var(--body-bg-color);
    box-sizing: border-box;
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);

}

.hexagon:hover{
  background-color: var(--green);
}

.fa {
    margin-top: 1rem;
    color: var(--yellow);
    font-size: 1.5rem;
    transition: 0.5s;
}

.fa:hover{
    font-size: 3rem;
}
.fa#koo-footer-link{
    height: 3rem;
    width: 3rem;
}
.fa#github-footer-link:hover{
    color: var(--orange);
}

.fa#linkedin-footer-link:hover{
    color: var(--blue);
}

.fa#twitter-footer-link:hover{
    color: var(--blue);
}
.fa#twitch-footer-link:hover{
    color: var(--purple);
}

.fa#instagram-footer-link:hover{
    color: var(--purple);
}

.fa#reddit-footer-link:hover{
    color: var(--orange);
}